#### Configure DHTML Profile

This tab allows you to customize DHTML features according to your requirement. It contains two sub tabs:

- Features
- Properties

##### Features

Administrators can define more than one DHTML profile on the JReport Administration page. Then end users can further customize the JReport Web settings for the profiles on the JReport Console page and then select one of the profiles to apply in running reports in DHTML. See the tab.

Default Profile

Specifies the profile which will be used as the default profile to run report sets in DHTML. End users can only select a profile and view its settings.

New Profile

Opens the DHTML Profile dialog to create profiles for applying in running report sets in DHTML. Available to administrators only.

Delete

Deletes the selected profile. Available to administrators only.

Profile list

Lists the DHTML profiles that have been created.

- Name
  Displays the names of the profiles.
- Description
  Displays the descriptions of the profiles.
- Last Modified
  Displays the time when the profiles were last modified.

##### Properties

The properties are classified in two categories: default properties and advanced properties. Some properties are not available when the Profile dialog is accessed on the JReport Console page. If you want to customize them, log onto the JReport Administration page.

Default properties

Specifies to show or hide certain DHTML window elements. Check the element names to show/hide them. If disabled, the specified window element will not be shown by default. To show it, click the relevant window buttons or menu commands in JReport Web. See the tab.

- User Information Bar
  Specifies to show the User Information bar. This bar is on the top of the JReport Web window which shows information about the user, catalog, and report set.
- Toolbar
  Specifies to show a default toolbar.
- Table of Contents
  Specifies to show the TOC Browser by default.
- Resource View
  Specifies to show the Resource View panel.
- Toolbox
  Specifies to show the Toolbox panel.
- Right-click Menu
  Specifies to show a shortcut menu when you click the right mouse button.
- Pop Up New Window for Links
  Specifies whether to display a new web browser window for the link target, which can be a link report, a detail report, a URL, a chart hyperlink, or the detailed information created from the go-to-detail function. When defining such links in JReport Designer, if you have specified Server Setting as the target frame of the links, this option will decide where the corresponding link targets will be displayed.
- Editing Marks
  Specifies whether to show editing marks (dashed outlines for objects and report body). If the option is unselected, the editing mark will not be shown when a report object receives focus, and report objects cannot be moved or resized.
- Pop Up Save Criteria Dialog
  Specifies whether to pop up the Save Report Template dialog when you exit a report set which has been changed since it was first opened in JReport Web. A change includes any action taken such as sort, filter and drill as well as actual changes to the template such as adding or removing objects. By default, this option is checked so the dialog will always pop up. If you uncheck this option, the dialog will not pop up when changes have been made and all changes will be discarded. The next time the report set is opened, it will be the previous version which was last saved explicitly or the original published version. A second way to skip the pop up Save Report Template dialog is to create a profile which does not have the Save option checked and assign the profile to the user or to the report set, then when the user closes the report set the dialog will not be displayed and the changes will be discarded.
- Save Filter Criteria
  Specifies to check the Save Filter Criteria option by default when saving a report set to a report set version or as a new report set.
- Save Sort Criteria
  Specifies to check the Save Sort Criteria option by default when saving a report set to a report set version or as a new report set.
- Switch Reports with Tab
  Specifies to switch among reports in a report set using report tabs.

  By default, this option is unchecked, which means that when a report set contains several reports, you can use the Go To drop-down list on the toolbar to switch among the reports. In addition, when this option is unchecked, the path for tracing the master/detail report navigation as well as the drilling and going actions will also be reflected in the Go To drop-down list.

- Show Master Report
  Specifies whether to show the master report in the same window when opening a detail report by default. If checked, end users can go back to the master report by clicking the master report name link. If unchecked, the master report will be closed after the detail report is opened.
- Tool Tips on Toolbars
  Specifies to show the tool tips for toolbar commands.
- Always Prompt Query Filter
  Specifies to prompt the Query Filter dialog when inserting the first field from the Resource View panel into a blank component.
- Always Prompt to Convert Data Fields
  Specifies to prompt the Convert Data Fields dialog when performing data analytic actions on reports, which are created in JReport Designer, in JReport Web.
- Mouse Wheel Turn to Page
  Specifies whether to allow using the mouse wheel to scroll up/down reports.
- Always Prompt Whether to Adjust Page Size Automatically
  Specifies whether to prompt with a message box when JReport is going to adjust the page size if the width of a table exceeds the defined page size.
- Zoom
  Specifies the zoom ratio at which DHTML pages will be displayed.
- Max Records
  Specifies the maximum number of records that will be retrieved by components in the report.
- Browser Page Title
  Specifies the title for the DHTML window (displayed on the DHTML window title bar).
- Filter Menu
  Specifies which items will be shown on the Filter submenu.
  - Remove Filter
    Specifies to show the Remove Filter item on the Filter submenu.
  - Top N
    Specifies to show the Top N item on the Filter submenu.
  - Bottom N
    Specifies to show the Bottom N item on the Filter submenu.
  - More
    Specifies to show the More item on the Filter submenu.
- Grid
  Specifies the grid properties.
  - Show Grids
    Specifies to show grids in JReport Web report area.
  - Snap to Grids
    Specifies to snap an object to grids when you move it by dragging and dropping in JReport Web report area.
  - Grid Size
    Specifies size of the grids. The default value is 0.07 inches.
  - Grid Color
    Specifies color of the grids. The default value is #808080.
- New Ad Hoc Report
  Specifies properties for creating ad hoc reports.
  - Report Layout
    Specifies the default report layout when creating an ad hoc report.
  - Report Style Group
    Specifies the default selected style for the four types of components when creating them via the report wizard in JReport Web: table, crosstab, chart, and banded object. However, when inserting them into a table or banded object which can bind style, the default style type will be Inherit Style instead of the value specified by this option.

    All CSS styles in the `<install_root>\style` directory are available in the drop-down list.

  - Customize Group Indent
    Specifies to customize the indent of groups created via the report wizard. If checked, enter the indent of each group in the text box. The input value of indent should be between 0 and 4 inches.

    By default, when you create groups in a report via the report wizard in JReport Web, the groups will be indented according to the width of the group fields. You can check this option to customize indent of the groups as required.

  - Align Summaries Vertically
    Specifies whether to make summaries aligned vertically, which are created via the report wizard and have the same summary function.
  - Use Vertical Group Header to Detail Panel in Table
    Specifies whether to place the group header(s) in a table vertically when you create a new table or insert new group(s) in a table in JReport Web. By default, the group headers in a table are horizontally displayed.

Advanced Properties

Specifies to show or hide some advanced DHTML properties. Click on the property names to switch them on/off. See the tab.

- Advanced User
  Specifies to enable DHTML advanced features, such as editing group and report properties from the shortcut menu. In JReport Web, some features are only available for advanced users, including the following:
  - Advanced users can use a formula to control the value of a property. If a Boolean type property in a report is set to be controlled by a formula, it will be displayed as a checkbox, with mixed value. This means that this option is currently controlled by a formula.
  - Editing group and report properties (can be accessed by using the Group and Report command on the shortcut menu).
  - Modifying the properties of images, special fields, and parameters (can be accessed by using the Properties command on the shortcut menu).
  - Further options are available for advanced users, such as the options on the Export and Other tab.
- Auto Refresh
  Specifies whether to enable the Auto Refresh feature, which automatically refreshes the DHTML window at certain intervals, so as to make the server session never time out when any JReport Web window is open. The auto refresh time interval equals user session time out minus 16 seconds. When the server session time out is set to be less than 32 seconds, the Auto Refresh feature is disabled.
- Show Group by Name
  Specifies whether to show the groups by name in the TOC panel.
- Report Rendering Mode
  Specifies a way of running and laying out a report set as the DHTML format. There are in all four rendering modes controlled by the combination of the two options: View Incomplete Pages and Format Page On Demand.
  - View Incomplete Pages
    - If selected, fetch data for the required page and then format the page. The contents of the displayed pages may be incomplete for lack of data integrity and will then be refreshed when their data is ready. The first page will be displayed more quickly.
    - If unselected, fetch all data before formatting report pages. The displayed pages are complete.
  - Format Page On Demand
    - If selected, format the required pages. The total number of pages will not be known and will show as a + sign.
    - If unselected, format all report pages. This shows the total number of pages but will take longer to show the first page.
- Lock Screen Timeout
  Specifies the idle time before the DHTML window is locked.
- Report Timeout
  Each opened DHTML report is cached in the buffer. If the server has not received a request for a period of time from one DHTML report, it will then release its memory automatically. The default value for this option is 10800 seconds.
- Report Set Timeout
  Each opened DHTML report set is cached in the buffer. If the server has not received a request for a period of time from one DHTML report set, it will release its memory automatically. The default value for this option is 10800 seconds.
- Background Mode Timeout
  Specifies the time allowed for a DHTML report set to run in foreground mode. After the Background Mode Timeout has expired, the DHTML report set will automatically be switched to run in background mode. You can view the DHTML report result by clicking the report name in the Background Tasks table of the My Tasks page on the JReport Console page, and after the result is opened in a browser, the report task in the table will be deleted.
- Maximum Number of Open Reports
  Specifies the maximum number of DHTML reports that can be opened at the same time. For details, see Limiting the number of simultaneously open reports.
- Select Catalog Linked Model
  If checked, ad hoc end users can decide the relationship between the saved report set and the catalog used to run it when saving a report set to a different directory in JReport Web: either link the saved report set with the catalog, or copy the catalog to the target directory where the report set is saved.

  The two items As Linked Catalog and As Catalog Copy just predefine which corresponding option will be automatically checked in the Save As dialog of JReport Web.

- Show Splash Screen
  Specifies whether or not to show the splash screen, which is the JReport logo and displays when you open a DHTML report set.
- Check DHTML Resource Path
  Checks the existence of static resources defined in the file ResourcePath.jsp.